The Laravel Cloud API and CLI are here. Build pipelines, manage environments, and hand off to AI agents. View the docs →
curl --request PATCH \
--url https://cloud.laravel.com/api/environments/{environment} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"color": "blue",
"branch": "<string>",
"uses_push_to_deploy": true,
"uses_deploy_hook": true,
"timeout": 32,
"php_version": "8.2:1",
"build_command": "<string>",
"node_version": "20",
"deploy_command": "<string>",
"uses_vanity_domain": true,
"database_schema_id": "<string>",
"cache_id": "<string>",
"websocket_application_id": "<string>",
"uses_octane": true,
"sleep_timeout": 30,
"shutdown_timeout": 300,
"uses_purge_edge_cache_on_deploy": true,
"nightwatch_token": "<string>",
"cache_strategy": "default",
"response_headers_frame": "deny",
"response_headers_content_type": "nosniff",
"response_headers_robots_tag": "index, follow",
"firewall_block_path": true,
"firewall_browser_integrity_check": true,
"filesystem_keys": [
{
"id": "<string>",
"disk": "<string>",
"is_default_disk": true
}
]
}
'{
"data": {
"id": "<string>",
"type": "environments",
"links": {
"self": {
"href": "<string>",
"rel": "<string>",
"describedby": "<string>",
"title": "<string>",
"type": "<string>",
"hreflang": "<string>",
"meta": {}
}
},
"attributes": {
"name": "<string>",
"slug": "<string>",
"status": "deploying",
"created_from_automation": true,
"vanity_domain": "<string>",
"php_major_version": "8.2",
"build_command": "<string>",
"node_version": "20",
"deploy_command": "<string>",
"uses_octane": true,
"uses_push_to_deploy": true,
"uses_deploy_hook": true,
"environment_variables": [
{
"key": "<string>",
"value": "<string>"
}
],
"network_settings": {
"cache": {
"strategy": "<string>"
},
"response_headers": {
"frame": "<string>",
"content_type": "<string>",
"hsts": {
"max_age": 123,
"include_subdomains": true,
"preload": true
}
},
"firewall": {
"bot_categories": [
"academic_research"
],
"rate_limit": {
"429": true,
"level": "challenge",
"per_minute": 100,
"4xx": true
},
"under_attack_mode_started_at": "<string>",
"block_path": true
},
"content_converter": true
},
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"application": {
"data": {
"type": "applications",
"id": "<string>"
}
},
"branch": {
"data": {
"type": "branches",
"id": "<string>"
}
},
"deployments": {
"data": [
{
"type": "deployments",
"id": "<string>"
}
]
},
"currentDeployment": {
"data": {
"type": "deployments",
"id": "<string>"
}
},
"domains": {
"data": [
{
"type": "domains",
"id": "<string>"
}
]
},
"primaryDomain": {
"data": {
"type": "domains",
"id": "<string>"
}
},
"instances": {
"data": [
{
"type": "instances",
"id": "<string>"
}
]
},
"database": {
"data": {
"type": "databaseSchemas",
"id": "<string>"
}
},
"cache": {
"data": {
"type": "caches",
"id": "<string>"
}
},
"buckets": {
"data": [
{
"type": "filesystems",
"id": "<string>"
}
]
},
"websocketApplication": {
"data": {
"type": "websocketApplications",
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "applications",
"attributes": {
"name": "<string>",
"slug": "<string>",
"region": "us-east-2",
"slack_channel": "<string>",
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"repository": {
"full_name": "<string>",
"default_branch": "<string>"
}
},
"relationships": {
"repository": {
"data": {
"type": "repositories",
"id": "<string>"
}
},
"organization": {
"data": {
"type": "organizations",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
},
"deployments": {
"data": [
{
"type": "deployments",
"id": "<string>"
}
]
},
"defaultEnvironment": {
"data": {
"type": "environments",
"id": "<string>"
}
}
}
}
]
}Update an environment.
curl --request PATCH \
--url https://cloud.laravel.com/api/environments/{environment} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"color": "blue",
"branch": "<string>",
"uses_push_to_deploy": true,
"uses_deploy_hook": true,
"timeout": 32,
"php_version": "8.2:1",
"build_command": "<string>",
"node_version": "20",
"deploy_command": "<string>",
"uses_vanity_domain": true,
"database_schema_id": "<string>",
"cache_id": "<string>",
"websocket_application_id": "<string>",
"uses_octane": true,
"sleep_timeout": 30,
"shutdown_timeout": 300,
"uses_purge_edge_cache_on_deploy": true,
"nightwatch_token": "<string>",
"cache_strategy": "default",
"response_headers_frame": "deny",
"response_headers_content_type": "nosniff",
"response_headers_robots_tag": "index, follow",
"firewall_block_path": true,
"firewall_browser_integrity_check": true,
"filesystem_keys": [
{
"id": "<string>",
"disk": "<string>",
"is_default_disk": true
}
]
}
'{
"data": {
"id": "<string>",
"type": "environments",
"links": {
"self": {
"href": "<string>",
"rel": "<string>",
"describedby": "<string>",
"title": "<string>",
"type": "<string>",
"hreflang": "<string>",
"meta": {}
}
},
"attributes": {
"name": "<string>",
"slug": "<string>",
"status": "deploying",
"created_from_automation": true,
"vanity_domain": "<string>",
"php_major_version": "8.2",
"build_command": "<string>",
"node_version": "20",
"deploy_command": "<string>",
"uses_octane": true,
"uses_push_to_deploy": true,
"uses_deploy_hook": true,
"environment_variables": [
{
"key": "<string>",
"value": "<string>"
}
],
"network_settings": {
"cache": {
"strategy": "<string>"
},
"response_headers": {
"frame": "<string>",
"content_type": "<string>",
"hsts": {
"max_age": 123,
"include_subdomains": true,
"preload": true
}
},
"firewall": {
"bot_categories": [
"academic_research"
],
"rate_limit": {
"429": true,
"level": "challenge",
"per_minute": 100,
"4xx": true
},
"under_attack_mode_started_at": "<string>",
"block_path": true
},
"content_converter": true
},
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"application": {
"data": {
"type": "applications",
"id": "<string>"
}
},
"branch": {
"data": {
"type": "branches",
"id": "<string>"
}
},
"deployments": {
"data": [
{
"type": "deployments",
"id": "<string>"
}
]
},
"currentDeployment": {
"data": {
"type": "deployments",
"id": "<string>"
}
},
"domains": {
"data": [
{
"type": "domains",
"id": "<string>"
}
]
},
"primaryDomain": {
"data": {
"type": "domains",
"id": "<string>"
}
},
"instances": {
"data": [
{
"type": "instances",
"id": "<string>"
}
]
},
"database": {
"data": {
"type": "databaseSchemas",
"id": "<string>"
}
},
"cache": {
"data": {
"type": "caches",
"id": "<string>"
}
},
"buckets": {
"data": [
{
"type": "filesystems",
"id": "<string>"
}
]
},
"websocketApplication": {
"data": {
"type": "websocketApplications",
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "applications",
"attributes": {
"name": "<string>",
"slug": "<string>",
"region": "us-east-2",
"slack_channel": "<string>",
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"repository": {
"full_name": "<string>",
"default_branch": "<string>"
}
},
"relationships": {
"repository": {
"data": {
"type": "repositories",
"id": "<string>"
}
},
"organization": {
"data": {
"type": "organizations",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
},
"deployments": {
"data": [
{
"type": "deployments",
"id": "<string>"
}
]
},
"defaultEnvironment": {
"data": {
"type": "environments",
"id": "<string>"
}
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The Bearer Token generated on the Cloud UI.
The environment identifier
1 - 40^[A-Za-z0-9 _-]+$1blue, green, orange, purple, red, yellow, cyan, gray 5 <= x <= 608.2:1, 8.3:1, 8.4:1, 8.5:1 200020, 22, 24 2000The identifier of the database schema to attach to the environment. Send null or an empty string to detach the database, or skip it entirely to leave it unchanged.
The identifier of the cache to attach to the environment. Send null or an empty string to detach the cache, or skip it entirely to leave it unchanged.
The identifier of the WebSocket application to attach to the environment. Send null or an empty string to detach the WebSocket application, or skip it entirely to leave it unchanged.
1 <= x <= 601 <= x <= 60044default, bypass deny, sameorigin, all nosniff, none index, follow, noindex, nofollow Show child attributes
An array of the object storage buckets that should be attached to the environment. Send an emtpy array ([]) to detach all buckets.
Show child attributes
EnvironmentResource
Show child attributes
Show child attributes
Was this page helpful?